See https://gitlab.kitware.com/xdmf/xdmf/-/issues/28
See https://trac.macports.org/ticket/65101

--- core/XdmfHDF5Controller.hpp.orig	2023-05-23 09:14:07
+++ core/XdmfHDF5Controller.hpp	2023-05-23 09:33:53
@@ -28,12 +28,14 @@
 #include "XdmfCore.hpp"
 #include "XdmfHeavyDataController.hpp"
 
+#include <stdint.h>
+
 // So that hdf5 does not need to be included in the header files
 // It would add a dependancy to programs that use Xdmf
 #ifndef _H5Ipublic_H
   #ifndef XDMF_HID_T
   #define XDMF_HID_T
-    typedef int hid_t;
+    typedef int64_t hid_t;
   #endif
 #endif
 
--- core/XdmfHDF5Writer.hpp.orig	2023-05-23 09:14:07
+++ core/XdmfHDF5Writer.hpp	2023-05-23 09:35:03
@@ -29,12 +29,14 @@
 #include "XdmfHeavyDataWriter.hpp"
 #include "XdmfHeavyDataController.hpp"
 
+#include <stdint.h>
+
 // So that hdf5 does not need to be included in the header files
 // It would add a dependancy to programs that use Xdmf
 #ifndef _H5Ipublic_H
   #ifndef XDMF_HID_T
   #define XDMF_HID_T
-    typedef int hid_t;
+    typedef int64_t hid_t;
   #endif
 #endif
 
